/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkRenderingFreeTypeFontConfigObjectFactory.cxx

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

// Object factories should never have deprecation warnings.
#define VTK_DEPRECATION_LEVEL 0

#include "vtkRenderingFreeTypeFontConfigObjectFactory.h"
#include "vtkVersion.h"

// Include all of the classes we want to create overrides for.
#include "vtkFontConfigFreeTypeTools.h"


vtkStandardNewMacro(vtkRenderingFreeTypeFontConfigObjectFactory);

// Now create the functions to create overrides with.
VTK_CREATE_CREATE_FUNCTION(vtkFontConfigFreeTypeTools)


vtkRenderingFreeTypeFontConfigObjectFactory::vtkRenderingFreeTypeFontConfigObjectFactory()
{
this->RegisterOverride("vtkFreeTypeTools", "vtkFontConfigFreeTypeTools", "Override for VTK::RenderingFreeTypeFontConfig module", 1, vtkObjectFactoryCreatevtkFontConfigFreeTypeTools);

}

const char * vtkRenderingFreeTypeFontConfigObjectFactory::GetVTKSourceVersion()
{
  return VTK_SOURCE_VERSION;
}

void vtkRenderingFreeTypeFontConfigObjectFactory::PrintSelf(ostream &os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os, indent);
}

// Registration of object factories.
static unsigned int vtkRenderingFreeTypeFontConfigCount = 0;

VTKRENDERINGFREETYPEFONTCONFIG_EXPORT void vtkRenderingFreeTypeFontConfig_AutoInit_Construct()
{
  if(++vtkRenderingFreeTypeFontConfigCount == 1)
  {


    vtkRenderingFreeTypeFontConfigObjectFactory* factory = vtkRenderingFreeTypeFontConfigObjectFactory::New();
    if (factory)
    {
      // vtkObjectFactory keeps a reference to the "factory",
      vtkObjectFactory::RegisterFactory(factory);
      factory->Delete();
    }
  }
}
